{website, ...}: {
  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;

    virtualHosts."404.buffet.sh" = {
      default = true;
      useACMEHost = "buffet.sh";
      forceSSL = true;
      root = "${website}/404.html";
    };
  };
}
